Marketplace audits for Red hat 8 and windows 2019 error with platform mismatch when run

We are running SA 2018 11.  We installed the platforms for windows 2019 and red hat 8.  We also imported the audit policies from marketplace for them including 
CIS Red Hat Enterprise Linux 8 Benchmark V1.0.0

PCI DSS Windows Server 2019 Policy v 3.2

 

These are made for those os's 

When you check the rules/checks.  The individual checks do not have these os's in the Platforms section.

We are at rollup 9 and I see that rollup 10 addresses some issues with added platforms.  Is anyone else experiencing this? 

 

 

Parents
  • We do not have the PCI audits for Server 2019 - likely because we are still on 10.51. We are seeing an issue where during remediation of a Server 2019 server, the pre-remediate scripts available are for UNIX systems. So there is something funky going on similar to what you see. We have been trying to migrate to SA 2020.11 but we have no resources available. I'm hoping that maybe this year we can and some of these problems go away...

Reply
  • We do not have the PCI audits for Server 2019 - likely because we are still on 10.51. We are seeing an issue where during remediation of a Server 2019 server, the pre-remediate scripts available are for UNIX systems. So there is something funky going on similar to what you see. We have been trying to migrate to SA 2020.11 but we have no resources available. I'm hoping that maybe this year we can and some of these problems go away...

Children
  • When i attempted to upgrade my 2018 to 2020 on my dev system mine failed to upgrade on word adding the platforms for new os's make sure you have a backup before you upgrade.  Same errors happen in the agent pack for unsupported OS's but its not fatal there.  

    Another note on getting 2019 and RHEL to audit  On my production 2018-08 instance (which i am not upgrading anytime soon).  I reinstalled the marketplace connector and pulled newer audits.  Word of caution the audits are not python 3 dependent and if you don't have agents at least 75.807 your going to get failures for missing components.  Yes the python 2 3 thing has been coming a while but you may get a surprise on your audits soon. 

  • Suggested Answer

    We finally go to our 10.51 > 2020.11 upgrade and it went reasonably well (thanks mainly to Brett!). Our RHEL7 PCI audits stopped working. About to cut a ticket as we use these daily. I suspect the old content that was SA 10.51 is interfering with the newer content (supported from 10.60 - 10.80).

    Our previous errors with Server 2019 and remediation scripts being UNIX is gone since upgrading to SA 2020.11.